Home Information Classes Download Usage Mail List Requirements Links Tutorial

# OnePole Class Reference

STK one-pole filter class. More...

`#include <OnePole.h>`

Inheritance diagram for OnePole:

List of all members.

## Public Member Functions

| OnePole ()
| Default constructor creates a first-order low-pass filter.
| OnePole (MY_FLOAT thePole)
| Overloaded constructor which sets the pole position during instantiation.
| ~OnePole ()
| Class destructor.
void | clear (void)
| Clears the internal state of the filter.
void | setB0 (MY_FLOAT b0)
| Set the b[0] coefficient value.
void | setA1 (MY_FLOAT a1)
| Set the a[1] coefficient value.
void | setPole (MY_FLOAT thePole)
| Set the pole position in the z-plane.
void | setGain (MY_FLOAT theGain)
| Set the filter gain.
MY_FLOAT | getGain (void) const
| Return the current filter gain.
MY_FLOAT | lastOut (void) const
| Return the last computed output value.
MY_FLOAT | tick (MY_FLOAT sample)
| Input one sample to the filter and return one output.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Input vectorSize samples to the filter and return an equal number of outputs in vector.

## Detailed Description

STK one-pole filter class.

This protected Filter subclass implements a one-pole digital filter. A method is provided for setting the pole position along the real axis of the z-plane while maintaining a constant peak filter gain.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 20 of file OnePole.h.

## Member Function Documentation

void OnePole::setPole | ( | MY_FLOAT | thePole | ) |

| Set the pole position in the z-plane. This method sets the pole position along the real-axis of the z-plane and normalizes the coefficients for a maximum gain of one. A positive pole value produces a low-pass filter, while a negative pole value produces a high-pass filter. This method does not affect the filter gain value.

void OnePole::setGain | ( | MY_FLOAT | theGain | ) | `[virtual]`

| Set the filter gain. The gain is applied at the filter input and does not affect the coefficient values. The default gain value is 1.0. Reimplemented from Filter.

The documentation for this class was generated from the following file:

- OnePole.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.